/**
 * The error is raised when one or more configuration
 * properties are missing or invalid
 */
export declare const E_INVALID_CONFIG: {
    new (message?: string, options?: ErrorOptions & {
        code?: string;
        status?: number;
    }): {
        name: string;
        help?: string;
        code?: string;
        status: number;
        toString(): string;
        get [Symbol.toStringTag](): string;
        message: string;
        stack?: string;
        cause?: unknown;
    };
    status: number;
    code: string;
    help?: string;
    message?: string;
    isError(error: unknown): error is Error;
    captureStackTrace(targetObject: object, constructorOpt?: Function): void;
    prepareStackTrace(err: Error, stackTraces: NodeJS.CallSite[]): any;
    stackTraceLimit: number;
};
/**
 * The error is raised when the transport is unable to
 * send the email
 */
export declare const E_MAIL_TRANSPORT_ERROR: {
    new (message?: string, options?: ErrorOptions & {
        code?: string;
        status?: number;
    }): {
        name: string;
        help?: string;
        code?: string;
        status: number;
        toString(): string;
        get [Symbol.toStringTag](): string;
        message: string;
        stack?: string;
        cause?: unknown;
    };
    status: number;
    code: string;
    help?: string;
    message?: string;
    isError(error: unknown): error is Error;
    captureStackTrace(targetObject: object, constructorOpt?: Function): void;
    prepareStackTrace(err: Error, stackTraces: NodeJS.CallSite[]): any;
    stackTraceLimit: number;
};
